# ]po[ Earned Value Management
This package is part of ]project-open[, an open-source enterprise project management system.

For more information about ]project-open[ please see:
* [Documentation Wiki](https://www.project-open.com/en/)
* [V5.0 Download](https://sourceforge.net/projects/project-open/files/project-open/V5.0/)
* [Installation Instructions](https://www.project-open.com/en/list-installers)

About ]po[ Earned Value Management:

<p><p>This package implements the <a href="/en/process-pm-earned-value-management">Earned Value Management process</a> (EVM, also sometimes called Earned Value Analysis or EVA) as defined in <a href="https://en.wikipedia.org/wiki/Earned_value_management">Earned Value Management (Wikipedia)<span class="external"> </span></a>. It allows users to compared planned with actual and earned costs during the life cycle of a project in a graphical and intuitive way. <p><img alt="image:package-earned-value-management-hours" class="image" src="/en/download/file/package-earned-value-management-hours" title="image:package-earned-value-management-hours" /><p>The image above shows a typical project that is not going very well with three lines: <p><ul><li>Work Planned (hours) - The work as defined in the project plan by means of a <a href="/en/package-intranet-gantt-editor">Gantt diagram</a> or similar<li>Work Done (hours) - The work actually completed, as measured by the &quot;percentage done&quot; value of each task, multiplied with the planned work of that task<li>Work Logged (hours) - The hours logged by the project team while performing the work</ul><p>In this example, a project manager might deduce: <p><p><ul><li>The project is only 70% finished, even though it should be finished already<li>The project is already over budget, even though there are 30% work left to do.</ul><p><p><p>

# Online Reference Documentation

## Procedure Files

<table cellpadding="0" cellspacing="0"><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=1342549&amp;path=packages/intranet-earned-value-management/lib/earned-value.adp">lib/earned-value.adp</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=1342549&amp;path=packages/intranet-earned-value-management/lib/earned-value.tcl">lib/earned-value.tcl</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/procs-file-view?version_id=1342549&amp;path=packages/intranet-earned-value-management/tcl/intranet-earned-value-management-fake-audit-procs.tcl">tcl/intranet-earned-value-management-fake-audit-procs.tcl</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/procs-file-view?version_id=1342549&amp;path=packages/intranet-earned-value-management/tcl/intranet-earned-value-management-procs.tcl">tcl/intranet-earned-value-management-procs.tcl</a></b></td><td></td><td></td></tr></table>

## Procedures

<table cellpadding="0" cellspacing="0"><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=1342549&amp;proc=im_audit_fake_history">im_audit_fake_history</a></b></td><td></td><td>Create project audit entries for all projects. </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=1342549&amp;proc=im_audit_fake_history_for_project">im_audit_fake_history_for_project</a></b></td><td></td><td>Creates im_projects_audit entries for the project by splitting the time between start_date and end_date in $intervals pieces and calculates new im_projects_audit entries for the dates based on the information of timesheet hours and financial documents </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=1342549&amp;proc=im_audit_project_eva_diagram_deprecated">im_audit_project_eva_diagram_deprecated</a></b></td><td></td><td>Returns a formatted HTML text to display a timeline of dots based on Lutz Tautenhahn&#39; &quot;Javascript Diagram Builder&quot;, v3.3. </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=1342549&amp;proc=im_earned_value_average_cost">im_earned_value_average_cost</a></b></td><td></td><td>Takes a list of assignees and returns the average cost per hour of these assignees. </td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/proc-view?version_id=1342549&amp;proc=im_earned_value_diagram">im_earned_value_diagram</a></b></td><td></td><td>Returns a HTML table with a list of tickets that are somehow &quot;related&quot; to the current ticket based on full-text similarity, configuration items, users etc. </td></tr></table>

## SQL Files

<table cellpadding="0" cellspacing="0"><tr valign="top"><td><b><a href="https://www.project-open.net/api-doc/display-sql?package_key=intranet-earned-value-management&amp;url=postgresql/intranet-earned-value-management-create.sql&amp;version_id=1342549">sql/postgresql/intranet-earned-value-management-create.sql</a></b></td><td></td><td></td></tr><tr valign="top"><td><b><a href="https://www.project-open.net/api-doc/display-sql?package_key=intranet-earned-value-management&amp;url=postgresql/intranet-earned-value-management-drop.sql&amp;version_id=1342549">sql/postgresql/intranet-earned-value-management-drop.sql</a></b></td><td></td><td></td></tr></table>

## Content Pages

<table cellpadding="0" cellspacing="0"><tr valign="top"><td><b>www/</b></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=1342549&amp;path=packages/intranet-earned-value-management/www/project-eva.adp">project-eva.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="https://www.project-open.net/api-doc/content-page-view?version_id=1342549&amp;path=packages/intranet-earned-value-management/www/project-eva.tcl">project-eva.tcl</a></b></td><td></td></tr></table>

