@error_html;noquote@
<if @show_diagram_p@ gt 0>
<div id="@diagram_id@" style="height: @diagram_height@px; width: @diagram_width@px"></div>
<script type='text/javascript' <if @::__csp_nonce@ not nil>nonce="@::__csp_nonce;literal@"</if>>
Ext.require(['Ext.chart.*', 'Ext.Window', 'Ext.fx.target.Sprite', 'Ext.layout.container.Fit']);
Ext.onReady(function () {
    
    projectEvaStoreHours = Ext.create('Ext.data.Store', {
        fields: [@fields_json;noquote@],
        data: @hours_json;noquote@
    });

    projectEvaStoreMoney = Ext.create('Ext.data.Store', {
        fields: [@fields_json;noquote@],
        data: @costs_json;noquote@
    });


    /*
     * Draw a vertical red line from top to bottom to indicate the
     * day of today on the time axis.
     */
    var drawAxisNow = function(chart) {
        var surface = chart.surface;
        var axis = chart.axes.map.bottom;
        var now = new Date().getTime();
        var x = axis.x + axis.length * (now - axis.from) / (axis.to - axis.from);
        var nowBar = chart.surface.add({
            type:'rect',
            x: x,
            y: 10,
            width: 0.1,
            height: surface.height-20,
            stroke:'#FF0000',
            zIndex: 200
        }).show(true);
    };

    projectEvaChart = new Ext.chart.Chart({
        store: projectEvaStoreMoney,
        legend: { position: 'float', x:40 },
        theme: 'Base:gradients',
        id: "projectEvaChart",
        axes: [{
            type: 'Numeric',
            position: 'left',
            minimum: 0,
            fields: ['planned_value', 'actual_cost', 'earned_value']
        }, {
            type: 'Time',
            position: 'bottom',
            fields: ['date'],
            dateFormat: 'j M y',
            label: {rotate: { degrees: 315}},
            step: [@step_uom@, @step_units@]
        }],
        series: [
            { title: '@planned_value_l10n@', type: 'line', axis: 'left', xField: 'date', yField: 'planned_value',
              tips: { width: 200, renderer: function(storeItem, item) { this.setTitle('@planned_value_l10n@: '+storeItem.get('planned_value')); } }
            },
            { title: '@earned_value_l10n@', type: 'line', axis: 'left', xField: 'date', yField: 'earned_value',
              tips: { width: 200, renderer: function(storeItem, item) { this.setTitle('@earned_value_l10n@: '+storeItem.get('earned_value')); } }
            },
            { title: '@actual_cost_l10n@', type: 'line', axis: 'left', xField: 'date', yField: 'actual_cost',
              tips: { width: 200, renderer: function(storeItem, item) { this.setTitle('@actual_cost_l10n@: '+storeItem.get('actual_cost')); } }
            }
        ]
    });


    
    // projectEvaChart.on('afterrender', drawAxisNow);
    // projectEvaChart.on('activate', drawAxisNow);
    setTimeout(function() { drawAxisNow(projectEvaChart); }, 100);

    var evaIntervalStore = Ext.create('Ext.data.Store', {
        fields: ['display', 'value'],
        data: [
{"display":"<%=[lang::message::lookup "" intranet-reporting-dashboard.In_terms_of_hours "Earned Value Analysis in hours"]%>", "value":"hours"},
{"display":"<%=[lang::message::lookup "" intranet-reporting-dashboard.In_terms_of_mondey "Earned Value Analysis in "] %>@default_currency@", "value":"money"}
        ]
    });

    var projectEvaPanel = Ext.create('widget.panel', {
        width: @diagram_width@,
        height: @diagram_height@,
        title: 'Earned Value',
        renderTo: '@diagram_id@',
        layout: 'fit',
        header: false,
        tbar: [
            {
                xtype: 'combo',
                editable: false,
                // fieldLabel: '<%=[lang::message::lookup "" intranet-core.Show Show] %>',
                store: evaIntervalStore,
                mode: 'local',
                displayField: 'display',
                valueField: 'value',
                triggerAction: 'all',
                width: 250,
                forceSelection: true,
                value: 'money',
                listeners:{select:{fn:function(combo, comboValues) {
                    var value = comboValues[0].data.value;
                    var series = projectEvaChart.series.first();
                    if ("hours" == value) {
                        projectEvaChart.bindStore(projectEvaStoreHours);
                    } else {
                        projectEvaChart.bindStore(projectEvaStoreMoney);
                    }
                }}}
            }
        ],

        items: projectEvaChart
    });


});
</script>
</if>
